bug-grep
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH] tests: fix char-class-multibyte


From: Paolo Bonzini
Subject: [PATCH] tests: fix char-class-multibyte
Date: Wed, 24 Mar 2010 10:32:01 +0100

* tests/char-class-multibyte: Make it pass.
---
 tests/char-class-multibyte |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/tests/char-class-multibyte b/tests/char-class-multibyte
index d77c6de..5183ad6 100644
--- a/tests/char-class-multibyte
+++ b/tests/char-class-multibyte
@@ -3,20 +3,20 @@
 : ${srcdir=.}
 . "$srcdir/init.sh"; path_prepend_ ../src
 
-printf 'É\n'      > exp1 || framework_failure
+printf 'é\n'      > exp1 || framework_failure
 fail=0
 
 for LOC in en_US.UTF-8 $LOCALE_FR_UTF8; do
   out=out1-$LOC
-  printf 'á\nç\nÉ\n' | LC_ALL=$LOC grep '[é]' > $out || fail=1
+  printf 'á\nç\né\n' | LC_ALL=$LOC grep '[é]' > $out || fail=1
   compare $out exp1 || fail=1
 done
 
-printf 'é\n'      > exp2 || framework_failure
+printf 'É\n'      > exp2 || framework_failure
 
 for LOC in en_US.UTF-8 $LOCALE_FR_UTF8; do
   out=out2-$LOC
-  printf 'á\nç\né\n' | LC_ALL=$LOC grep '[É]' > $out || fail=1
+  printf 'Á\nÇ\nÉ\n' | LC_ALL=$LOC grep '[É]' > $out || fail=1
   compare $out exp2 || fail=1
 done
 
-- 
1.6.6.1





reply via email to

[Prev in Thread] Current Thread [Next in Thread]